import unittest
import requests
import sys
import os
import json
import logging
from pprint import pprint

from p2.logging import HttpLogger

import http.client as http_client
http_client.HTTPConnection.debuglevel = 1

# You must initialize logging, otherwise you'll not see debug output.
logging.basicConfig(filename='server.log', level=logging.INFO)
requests_log = logging.getLogger("requests.packages.urllib3")
requests_log.setLevel(logging.INFO)
requests_log.propagate = True

base_url = 'http://localhost:6000'
headers = {'Content-Type': 'application/json' }

class TestExperiments(unittest.TestCase):

    def test_get_experiment_details(self):
        url = base_url + '/api/get_experiment_details'
        payload={'filename': 'create-remove-dir-template', 'type': 'template'}
        resp = requests.get(
            url,
            headers=headers,
            params=payload,
            timeout=5)
        self.assertEqual( resp.status_code, 200)
        details = resp.json()
        self.assertTrue(isinstance(details, dict))
        self.assertTrue('profile' in details)
        self.assertTrue('sessions' in details)
        pprint(details['sessions'])

if __name__ == '__main__':
    unittest.main()
